Open Lighting Architecture: ola::rdm::PidDescriptor Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
ola::rdm::PidDescriptor Class Reference

## Detailed Description

Contains the descriptors for the GET/SET Requests & Responses for a single PID.

## Public Types
enum | sub_device_validator { ROOT_DEVICE , ANY_SUB_DEVICE , NON_BROADCAST_SUB_DEVICE , SPECIFIC_SUB_DEVICE }

## Public Member Functions
| PidDescriptor (const std::string &name, uint16_t value, const ola::messaging::Descriptor *get_request, const ola::messaging::Descriptor *get_response, const ola::messaging::Descriptor *set_request, const ola::messaging::Descriptor *set_response, sub_device_validator get_sub_device_range, sub_device_validator set_sub_device_range)
| ~PidDescriptor ()
const std::string & | Name () const
uint16_t | Value () const
const ola::messaging::Descriptor * | GetRequest () const
const ola::messaging::Descriptor * | GetResponse () const
const ola::messaging::Descriptor * | SetRequest () const
const ola::messaging::Descriptor * | SetResponse () const
bool | IsGetValid (uint16_t sub_device) const
bool | IsSetValid (uint16_t sub_device) const

## Constructor & Destructor Documentation

## ◆ ~PidDescriptor()

ola::rdm::PidDescriptor::~PidDescriptor | ( |  | ) |

Clean up

## Member Function Documentation

## ◆ IsGetValid()

bool ola::rdm::PidDescriptor::IsGetValid | ( | uint16_t | sub_device | ) | const

Check if a GET request to this subdevice is valid

Parameters

  sub_device | the sub device for this request.

Returns
  true if the request is valid, false otherwise.

## ◆ IsSetValid()

bool ola::rdm::PidDescriptor::IsSetValid | ( | uint16_t | sub_device | ) | const

Check if a SET request to this subdevice is valid

Parameters

  sub_device | the sub device for this request.

Returns
  true if the request is valid, false otherwise.

The documentation for this class was generated from the following files:

- include/ola/rdm/PidStore.h
- common/rdm/PidStore.cpp